library(MASS)
library(ppcor)
library(readxl)

# import dataset
re <- read_excel("C:/Users/wxk150230/Dropbox/Wukki(Study)/Dissertion/5. Nato burden sharing/replication_NATO/replication_nato.xlsx")

# Make GDP per capita
re$gdppc <- re$gdp / re$pop


# create new dataset without missing data
re_2011 <- subset(re, year == "2011")
re_2012 <- subset(re, year == "2012")
re_2013 <- subset(re, year == "2013")
re_2014 <- subset(re, year == "2014")
re_2015 <- subset(re, year == "2015")
re_2016 <- subset(re, year == "2016")
re_2017 <- subset(re, year == "2017")

wilcox.test(re_2011$share_me, re_2011$avg1, paired = T)
wilcox.test(re_2012$share_me, re_2012$avg1, paired = T)
wilcox.test(re_2013$share_me, re_2013$avg1, paired = T)
wilcox.test(re_2014$share_me, re_2014$avg1, paired = T)
wilcox.test(re_2015$share_me, re_2015$avg1, paired = T)
wilcox.test(re_2016$share_me, re_2016$avg1, paired = T)
wilcox.test(re_2017$share_me, re_2017$avg1, paired = T)

wilcox.test(re_2011$share_me, re_2011$avg2, paired = T)
wilcox.test(re_2012$share_me, re_2012$avg2, paired = T)
wilcox.test(re_2013$share_me, re_2013$avg2, paired = T)
wilcox.test(re_2014$share_me, re_2014$avg2, paired = T)
wilcox.test(re_2015$share_me, re_2015$avg2, paired = T)
wilcox.test(re_2016$share_me, re_2016$avg2, paired = T)
wilcox.test(re_2017$share_me, re_2017$avg2, paired = T)

wilcox.test(re_2011$share_me, re_2011$avg3, paired = T)
wilcox.test(re_2012$share_me, re_2012$avg3, paired = T)
wilcox.test(re_2013$share_me, re_2013$avg3, paired = T)
wilcox.test(re_2014$share_me, re_2014$avg3, paired = T)
wilcox.test(re_2015$share_me, re_2015$avg3, paired = T)
wilcox.test(re_2016$share_me, re_2016$avg3, paired = T)
wilcox.test(re_2017$share_me, re_2017$avg3, paired = T)



